-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("smoke");

-- ESCALA
pScale:Init(0);
pScale:Anim( fFade( pAge, 
   0, 150, 
   3));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
mMaxSpeed = 30;
pPosition:Init( dLocus );
pVelocity = Allocate(2);
pVelocity:Init( fRange( Vec2(0,-mMaxSpeed), Vec2(mMaxSpeed,mMaxSpeed) ) );
pPosition:Anim( pPosition + fTimeScale(pVelocity) );


-- ROTACION
mMaxSpinSpeed = mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );



-- COLOR
if not power then
   power = 0;
end
if power == 0 then
   mColor1 = Color(0,1,1,1);
   mColor2 = Color(0.5,1,1,0.5);
   mColor3 = Color(0,1,1,0);
elseif power == 1 then
   mColor1 = Color(0,1,0,1);
   mColor2 = Color(0.5,1,0.5,0.5)
   mColor3 = Color(0,1,0,0);
elseif power == 2 then
   mColor1 = Color(1,1,0,1);
   mColor2 = Color(1,1,0.5,0.5);
   mColor3 = Color(1,1,0,0);
end
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
   fFade( pAge,
   mColor1,200,
   mColor2,250,
   mColor3) -- to final color
   );


-- EMISION 
mMaxParticles = 200;
mExpireTime = 500;
mStopEmitAt = 100;
mEmitSpeed = 50;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
   if time_ms<mStopEmitAt then
        CreateParticles( seconds * mEmitSpeed );
   end
   if time_ms>(mStopEmitAt+mExpireTime) then
        Done();
   end
end