require( "scripts/style.lua" );
boardTopMargin = 60;
boardLeftMargin = 100;
boardNCols = 9;
boardNRows = 9;
boardSquareHeight = 50;
boardSquareWidth = 50;

ExitGraphics = {
	"buttons/exitup",
	"buttons/exitdown",
	"buttons/exitover"
};

ExitStyle = {
	graphics = ExitGraphics,
};

MakeDialog
{
 	name="actionmode",

	BoardOverlayWindow
	{
		name="boardOverlayWin",
		x = 0, y = 0,
		w = 800, h = 600,
	},
	
    Bitmap
	{
		x=0, y=34,
		image="backgrounds/wizlandquesttimebg",
	},

	TimeBar
	{
		barImage="textures/burnedbar",
		name="timeBar",
		x=60, y=550,
		h=30,w=460,
		vertical = false,
		topLeft = false,
  		vertical = false,
  		raiseSpeedMS = 0.001,
	},
	
	

	ScoreBar
	{
		barImage="anim/barra",
		glowBarImage="textures/glowbar",
		name="scoreBar",
		x=24, y=80,
		w=30,h=460,
		vertical = true,
		topLeft = false,
		vertical = true,
		raiseSpeedMS = 0.00015,
		delay_ms = 500,
	},

    Bitmap
	{
		image="backgrounds/wizlandquestbg1",
	},

	Bitmap
	{
		x=400, y=0,
		image="backgrounds/wizlandquestbg2",
	},

	PortraitWindow
	{
		name="lilyWin",
		x = 550, y = 30,
		w = 230, h = 370,
		headPos = {x = 145, y = 97 },
	},

	Bitmap
	{
		x=644, y=139,
		image="backgrounds/body",
	},
		
	BoardWindow
	{
	    name="boardWindow",
		load = gDialogTable.load,
		x = 0, y = 0,
		w = 800, h = 600,
		boardRows = boardNRows,
		boardCols = boardNCols,
		squareHeight = boardSquareHeight,
		squareWidth = boardSquareWidth,
		horizBoardMargin = boardLeftMargin,
		vertBoardMargin = boardTopMargin,
		gravity = 0,
		initFallVelocity = 400,
		amplitude = 20,
		angularFrecuency = 30,
		phase = 0,
		oscTimeMs = 100,
		bezierTimeMs = 700,
		minBezierControl1 = {x = 0, y = 0 },
		maxBezierControl1 = {x = 300, y = 300 },
		minBezierControl2 = {x = 0, y = 300 },
		maxBezierControl2 = {x = 300, y = 600 },
		
		powerMinBezierControl1 = {x = 400, y = 300 },
		powerMaxBezierControl1 = {x = 800, y = 600 },
		powerMinBezierControl2 = {x = 400, y = 000 },
		powerMaxBezierControl2 = {x = 800, y = 300 },
		bezierDest = {x = 39, y = 561 },
		bezierRelativeX = false,
		bezierRelativeY = false,
		ignitionDelay = 200,
		timeFix = 0,
		bombEffectPeriod = 70,
		bombEffectPeriod = 70,
		bombEffectPeriod = 70,
		exploMaxTime_ms = 1000,
		exploDamping= 0.0015, --tanto por unidad de la amplitud por milisegundo
		exploEscaleAmplitude=0.2,
		exploPosAmplitude=20,
		exploWaveWidth=50,
		exploWaveSpeed_ppms=0.3,
		deadRotSpeed_radms = (-2*3.1415)*3/1000,
		deadAlpha = 1,
		deadScale = 0.5,
		
	},

    TimeBarAddon
	{
		name="timeBarAddon",
		x=10, y=293,
		w=800, h=300,
	},
	
	ScoreBarAddon
	{
		name="scoreBarAddon",
		x=0, y=0,
		w=600, h=600,
	},
	
  	SoloHUD
	{
        name="soloHUD",
		x=100, y=4,
	    w=169, h=25,
	},
	
	GameWindow
	{
		name="gameWindow",
		x = 0,
	    y = 0,
	    w = 800,
		h = 600,
		load = gDialogTable.load, 
		hintTime_ms = 10000,
	},

	SetStyle(ExitStyle),
	Button
	{
  		x = 675, y = 555,
		name="quit",
  		type = kPush,
		command=
			function()
                msgDispatcher( {handler = "kingdomWindow", message = "backToMap"});
			end
	},	
}
