require( "scripts/style.lua" );
boardTopMargin = 110;
boardLeftMargin = 176;
boardNCols = 9;
boardNRows = 9;
boardSquareHeight = 50;
boardSquareWidth = 50;
PI = 3.14159265;

ExitGraphics = {
	"buttons/exitup",
	"buttons/exitdown",
	"buttons/exitover"
};

ExitStyle = {
	graphics = ExitGraphics,
};

MakeDialog
{
	name="duelmode",

    DuelOverlayWindow
	{
		name="duelOverlayWin",
		x = 0, y = 0,
		w = 800, h = 600,
		
		lilyAttackInitPos = {x=97, y=258},
		lilyAttackControl1 = {x=280, y=360},
		lilyAttackControl2 = {x=520, y=200},
		lilyIsBeatenPos  = {x=80, y=220},
		lilyAttackRotSpeed_radps = 3*PI,
		lilyAttackFinalAlpha =1,
		lilyAttackFinalscale =1,
		lilyAttackTime_ms =1000,
		
		
		opponentAttackControl1 = {x=530, y=360},
		opponentAttackControl2 = {x=280, y=150},
		opponentAttackRotSpeed_radps = 3*PI,
		opponentAttackFinalAlpha = 1,
		opponentAttackFinalscale = 1,
		opponentAttackTime_ms = 1000,
		
		pumpkinTrooperAttackInitPos = {x=670, y=170},
		pumpkinTrooperIsBeatenPos = {x=740, y=190},
	},
	
	Bitmap
	{
		image="textures/backg",
		x=90, y=40,
	},

	ProgressBar
	{
		barImage="textures/duelbar1",
		glowBarImage="textures/glowbar",
		name="player1Bar",
		x=86, y=55,
		w=280,h=10,
		vertical = false,
		topLeft = false,
		delay_ms = 700,
		raiseSpeedMS = 0.001,
	},
	
	ProgressBar
	{
		barImage="textures/duelbar2",
		glowBarImage="textures/glowbar",
		name="player2Bar",
		x=433, y=55,
		w=280,h=10,
		vertical = false,
		topLeft = true,
		delay_ms = 700,
		raiseSpeedMS = 0.001,
	},
		
	ProgressBar
	{
		barImage="textures/healthbar",
		name="healthBar1",
		x=88, y=40,
		w=285,h=14,
		vertical = false,
		topLeft = false,
		delay_ms = 1000,
		raiseSpeedMS = 0.001,
	},
	
	ProgressBar
	{
		barImage="textures/healthbar",
		name="healthBar2",
		x=426, y=40,
		w=285,h=14,
		vertical = false,
		topLeft = true,
		delay_ms = 1000,
		raiseSpeedMS = 0.001,
	},

	Bitmap
	{
		image="backgrounds/wizlandduelbg1",
	},

	Bitmap
	{
		x=400, y=0,
		image="backgrounds/wizlandduelbg2",
	},

	ProgressBar
	{
		barImage="textures/turnbar",
		name="turnBar1",
		x=359, y=72,
		w=81,h=18,
		vertical = false,
		topLeft = true,
	},
	
	ProgressBar
	{
		barImage="textures/turnbar",
		name="turnBar2",
		x=359, y=72,
		w=81,h=18,
		vertical = false,
		topLeft = true,
	},

	CurrentPlayerFace
	{
		name="currentPlayerFace",
		x=367, y=4,
		w=70, h=70,
	},
	
	DuellistWindow
	{
		name="lilyDuellistWindow",
		x=0, y=0,
		w=400, h=600,
		healingPos = { x=70, y=440},
	},
	
	DuellistWindow
	{
		name="cpuDuellistWindow",
		x=400, y=0,
		w=400, h=600,
		cpuPlayer = true,
		pumpkinTrooperHealingPos = { x=340, y=430},
	},
	
	BoardWindow
	{
	    name="boardWindow",
		load = gDialogTable.load,
		x = 0, y = 0,
		w = 800, h = 600,
		boardRows = boardNRows,
		boardCols = boardNCols,
		squareHeight = boardSquareHeight,
		squareWidth = boardSquareWidth,
		horizBoardMargin = boardLeftMargin,
		vertBoardMargin = boardTopMargin,
		gravity = 0,
		initFallVelocity = 400,
		amplitude = 20,
		angularFrecuency = 30,
		phase = 0,
		oscTimeMs = 100,
		bezierTimeMs = 700,
		minBezierControl1 = {x = 170, y = 50 },
		maxBezierControl1 = {x = 630, y = 520 },
		minBezierControl2 = {x = 170, y = 50 },
		maxBezierControl2 = {x = 630, y = 520 },
		
		powerMinBezierControl1 = {x = 400, y = 300 },
		powerMaxBezierControl1 = {x = 800, y = 600 },
		powerMinBezierControl2 = {x = 400, y = 000 },
		powerMaxBezierControl2 = {x = 800, y = 300 },
		
		bezierDest = {x = 115, y = 505 },
		bezierRelativeX = false,
		bezierRelativeY = false,
		ignitionDelay = 200,
		timeFix = 0,
		duel = true,
		bombEffectPeriod = 70,
		bombEffectPeriod = 70,
		exploMaxTime_ms = 1000,
		exploDamping= 0.0015, --tanto por unidad de la amplitud por milisegundo
		exploEscaleAmplitude=0.2,
		exploPosAmplitude=20,
		exploWaveWidth=50,
		exploWaveSpeed_ppms=0.3,
		deadRotSpeed_radms = (2*3.1415)*2/1000,
		deadAlpha = 1,
		deadScale = 0.3,
	},

	-- esto debe ir antes de CpuCursorWindow prara que el cursor del cpu
	-- se dibuje encima
	SpellSelector
	{
	    name="cpuSpellSelector",
	    x=713, y=38,
	    w=50, h=50,
	    cpuPlayer = true,
	},
	
	CpuCursorWindow
	{
		name = "cpuCursor",
		x=850,
		y=300,
		w=32, h=32,
		startPos = {x = 850, y = 300 },
		spellButtonPos = { x=740, y=65 },
		time_ms = 2000,
		clickDelay_ms = 200,
		Bitmap
		{
			image="cursor/cursor",
			x=0, y=0,
			w=32, h=32,
		},	
	},
		
	DuelWindow
	{
		name="gameWindow",
		x = 0,
	    y = 0,
	    w = 800,
		h = 600,
		load = gDialogTable.load, 
		cpuSpellBgPos = {x=400, y=300},
		hintTime_ms = 10000,
	},

	-- esto debe ir despues de duelwindow para que acepte eventos de mouse
    SpellSelector
	{
	    name="lilySpellSelector",
	    x=35, y=38,
	    w=50, h=50,
	},

	SetStyle(ExitStyle),
	Button
	{
  		x = 675, y = 555,
		name="quit",
  		type = kPush,
		command=
			function()
--				result = DisplayDialog {
--					"scripts/yesno.lua",
--					body ="quitconfirm",
--					title = "quittitle"
--				};
--				if (result=='yes') then
--					PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
--				end
				PopModal("duelmode");
				msgDispatcher( {handler = "kingdomWindow", message = "backToMap"});
			end
	},
}
